/*
    Project: TCGINA
    Version: V1.30
    File   : misca.c

    Copyright (c) 2005-2012 Author of TCGINA DLL. All rights reserved.
    Public Key Fingerprint: 294B A769 4A0A CC05 DAE6 00DD FF47 8C72 4097 67CE

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#include <windows.h>
#include "misc.h"

BOOL CopyStringA(LPSTR paszDest, size_t cchSize, LPCSTR paszSrc)
{
    size_t nSrcLen;

    if (paszDest == NULL || paszSrc == NULL) {
        return FALSE;
    }

    nSrcLen = strlen(paszSrc);
    if (nSrcLen >= cchSize) return FALSE;

    memcpy(paszDest, paszSrc, (nSrcLen+1));

    return TRUE;
}

BOOL AppendStringA(LPSTR paszDest, size_t cchSize, LPCSTR paszSrc)
{
    size_t nDestLen, nSrcLen;

    if (paszDest == NULL || paszSrc == NULL) {
        return FALSE;
    }

    nSrcLen = strlen(paszSrc);
    nDestLen = strlen(paszDest);
    if (nSrcLen + nDestLen >= cchSize) {
        return FALSE;
    }

    memcpy(paszDest + nDestLen, paszSrc, (nSrcLen+1));

    return TRUE;
}
