/*
    Project: TCGINA
    Version: V1.30
    File   : kfidlg.h

    Copyright (c) 2005-2012 Author of TCGINA DLL. All rights reserved.
    Public Key Fingerprint: 294B A769 4A0A CC05 DAE6 00DD FF47 8C72 4097 67CE

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __KFIDLG_H_D47DF546F16B490bA6D8523603A5594D
#define __KFIDLG_H_D47DF546F16B490bA6D8523603A5594D

#include "kfi.h"
#include "kfidlgrc.h"

typedef struct
{
    LPCTSTR   pszCaption;
    LPTSTR    pszDescription;
    PVOID     pPassword;
    PVOID     pVolumePassword;
    LPTSTR    pszHostName;
    DWORD     dwID;
    DWORD     dwDescriptionSize;
    DWORD     dwPasswordLength;
    DWORD     dwVolumePasswordLength;
    DWORD     dwHostNameSize;
    DWORD     dwMountFlags;
    DWORD     dwMountMask;
    WORD      wKeySize;
    WORD      wMaxKeySize;
    WORD      wPasswordType;
    CHAR      chDrive;
    PVOID     pKey;

    LPWSTR    pwszTempPassword;
    LPWSTR    pwszConfirmation;
    LPTSTR    pszTempHostName;
    PVOID     pTempKey;

    /* internal data */
    HWND      hwndDescription;
    HWND      hwndId;
    HWND      hwndItemPassword;
    HWND      hwndVolumePassword;
    HWND      hwndKey;
    HWND      hwndHost;
    HWND      hwndDrive;
    HWND      hwndCompletePassword;
    HWND      hwndPasswordCache;
    HWND      hwndMountReadOnly;
    HWND      hwndMountRemovable;
    HWND      hwndMountShared;
    HWND      hwndUpdateTimeStamp;
    HWND      hwndOk;
    WORD      wTempKeySize;
} KFI_DIALOG_DATA, *PKFI_DIALOG_DATA;

#ifdef __cplusplus
extern "C" {
#endif

INT_PTR CALLBACK KFI_DialogProc(HWND hwndDlg, UINT uMsg,
  WPARAM wParam, LPARAM lParam);

#ifdef __cplusplus
}
#endif

#endif
