/*
    Project: TCGINA
    Version: V1.30
    File   : fileinfo.h

    Copyright (c) 2005-2012 Author of TCGINA DLL. All rights reserved.
    Public Key Fingerprint: 294B A769 4A0A CC05 DAE6 00DD FF47 8C72 4097 67CE

    Covered by TrueCrypt License 2.3 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __FILEINFO_H_D47DF546F16B490bA6D8523603A5594D
#define __FILEINFO_H_D47DF546F16B490bA6D8523603A5594D

#define FILE_INFO_MAX_VERSION 40
#define FILE_INFO_HASH_SIZE   20

typedef struct {
    WIN32_FIND_DATA  fd;
    BOOL             fExists;
    BOOL             fInUse;
    TCHAR            szInfo[MAX_PATH];
    TCHAR            szOriginalFileName[MAX_PATH];
    TCHAR            szCompanyName[MAX_PATH];
    TCHAR            szFileVersion[FILE_INFO_MAX_VERSION];
    TCHAR            szFileDescription[MAX_PATH];
    TCHAR            szProductVersion[FILE_INFO_MAX_VERSION];
    TCHAR            szProductName[MAX_PATH];
    TCHAR            szCopyright[MAX_PATH];
    TCHAR            szVersion[FILE_INFO_MAX_VERSION];
    BYTE             rgbHashValue[FILE_INFO_HASH_SIZE];
    unsigned __int64 ullVersion;
    unsigned         uMajorVersion;
    unsigned         uMinorVersion;
    unsigned         uRelease;
    unsigned         uBuild;
} FILE_INFO, *PFILE_INFO;

struct s_FILE_INFO_LIST {
    struct s_FILE_INFO_LIST *pNextItem;
    FILE_INFO               fi;
};
typedef struct s_FILE_INFO_LIST FILE_INFO_LIST, *PFILE_INFO_LIST;

#ifdef __cplusplus
extern "C" {
#endif

BOOL GetFileInfo(PFILE_INFO pFileInfo, LPTSTR pszFileName);
LPCTSTR GetIniFileName(void);
BOOL GetInfoItem(LPCTSTR pszInfo, DWORD dwIndex, LPTSTR pszDest, DWORD nSize);

#ifdef __cplusplus
}
#endif


#endif
